%define upstream_name    DBIx-Connector
%define upstream_version 0.56

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI) >= 1.605.0
BuildRequires: perl(Module::Build) >= 0.300.0
BuildRequires: perl(Test::MockModule) >= 0.50.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.560.0-2.mga6
+ Revision: 1025472
- Rebuild for perl 5.22.2

* Tue Mar 22 2016 shlomif <shlomif> 0.560.0-1.mga6
+ Revision: 994139
- update to 0.56

* Wed Feb 10 2016 shlomif <shlomif> 0.550.0-1.mga6
+ Revision: 953200
- New version 0.55

* Mon Feb 08 2016 umeabot <umeabot> 0.530.0-6.mga6
+ Revision: 948838
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.530.0-5.mga5
+ Revision: 788481
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.530.0-3.mga5
+ Revision: 684131
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.530.0-2.mga4
+ Revision: 525181
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.530.0-1.mga4
+ Revision: 432452
- update to 0.53

* Sun Jan 13 2013 umeabot <umeabot> 0.520.0-2.mga3
+ Revision: 365132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 04 2012 kharec <kharec> 0.520.0-1.mga3
+ Revision: 254042
- update to 0.52

* Tue Feb 21 2012 kharec <kharec> 0.510.0-1.mga2
+ Revision: 211628
- update to 0.51

* Fri Dec 09 2011 kharec <kharec> 0.470.0-1.mga2
+ Revision: 179795
- imported package perl-DBIx-Connector


* Fri Dec 09 2011 cpan2dist 0.47-1mga
- initial mageia release, generated with cpan2dist
